<template>
  <div class="container">
    <div class="row">
      <div class="col-md-7 mrgnbtm">
        <h2>Create Media</h2>
        <form>
          <div class="row">
            <div class="form-group col-md-6">
              <label htmlFor="exampleInputEmail1">Link</label>
              <input
                type="text"
                class="form-control"
                v-model="link"
                name="link"
                id="link"
                placeholder="link"
              />
            </div>
          </div>
          <button type="button" @click="CreateMedia()" class="btn btn-danger">
            Create
          </button>
        </form>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CreateMedia",
  data() {
    return {
      link: "",
    };
  },
  methods: {
    CreateMedia() {
      const payload = this.link;
      this.$emit("createMedia", payload);
      this.clearForm();
    },
    clearForm() {
      this.link = "";
    },
  },
};
</script>